summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xdvm/764072/testcase44
1 files changed, 44 insertions, 0 deletions
diff --git a/dvm/764072/testcase b/dvm/764072/testcase
new file mode 100755
index 0000000..3748820
--- /dev/null
+++ b/dvm/764072/testcase
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+source $cwd/regression_helpers
+mkdir -p /tmp/$global_bug_id &> /dev/null
+
+#create,start and mount
+$GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/export1 $(hostname):$EXPORT_DIR/$global_bug_id/export2 &>/dev/null ;
+
+$GLUSTERFSDIR/gluster volume start $global_bug_id &>/dev/null;
+mount_glusterfs $global_bug_id;
+
+sleep 10;
+#start gsyncd first
+$GLUSTERFSDIR/gluster volume geo-replication $global_bug_id /tmp/$global_bug_id start &> /dev/null
+if [ $? -ne 0 ]; then
+ exit 255;
+fi
+
+sleep 10;
+
+ps aux | grep gsyncd.py | grep monitor &> /dev/null;
+if [ $? -ne 0 ]; then
+ exit 255;
+fi
+
+mkdir -p $FUSE_MOUNT/dir/dir{1..2};
+touch $FUSE_MOUNT/file{1..2};
+
+sleep 5;
+
+ls -l $FUSE_MOUNT/* &> /dev/null;
+
+sleep 5;
+
+ps aux | grep gsyncd.py | grep monitor &> /dev/null;
+if [ $? -ne 0 ]; then
+ $GLUSTERFSDIR/gluster volume geo-replication $global_bug_id /tmp/$global_bug_id stop &> /dev/null
+ rm -rf /tmp/$global_bug_id &> /dev/null
+ exit 255;
+else
+ $GLUSTERFSDIR/gluster volume geo-replication $global_bug_id /tmp/$global_bug_id stop &> /dev/null
+ rm -rf /tmp/$global_bug_id &> /dev/null
+ exit 0;
+fi